<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.expedientemanualPeso.home.createOrEditLabel"
          data-cy="PesoCreateUpdateHeading"
          v-text="$t('gatewayApp.expedientemanualPeso.home.createOrEditLabel')"
        >
          Create or edit a Peso
        </h2>
        <div>
          <div class="form-group" v-if="peso.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="peso.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualPeso.pesoKG')" for="peso-pesoKG">Peso KG</label>
            <input
              type="number"
              class="form-control"
              name="pesoKG"
              id="peso-pesoKG"
              data-cy="pesoKG"
              :class="{ valid: !$v.peso.pesoKG.$invalid, invalid: $v.peso.pesoKG.$invalid }"
              v-model.number="$v.peso.pesoKG.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualPeso.descripcion')" for="peso-descripcion"
              >Descripcion</label
            >
            <input
              type="text"
              class="form-control"
              name="descripcion"
              id="peso-descripcion"
              data-cy="descripcion"
              :class="{ valid: !$v.peso.descripcion.$invalid, invalid: $v.peso.descripcion.$invalid }"
              v-model="$v.peso.descripcion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualPeso.fechaRegistro')" for="peso-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="peso-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.peso.fechaRegistro.$invalid, invalid: $v.peso.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.peso.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualPeso.user')" for="peso-user">User</label>
            <select class="form-control" id="peso-user" data-cy="user" name="user" v-model="peso.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="peso.user && userOption.id === peso.user.id ? peso.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.peso.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./peso-update.component.ts"></script>
